<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('devolucionprestamos', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('numOperacion')->nullable();
            $table->string('codigo', 50)->nullable();
            $table->string('descripcion', 200)->nullable();
            $table->integer('cantidad')->nullable();
            $table->string('tipo', 20)->nullable();
            $table->string('fechaDevolucion', 15)->nullable();
            $table->string('ubicacion', 100)->nullable();
            $table->text('observacion')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('devolucionprestamos');
    }
};
